=== debian/control ===
Source: rust-curve25519-dalek
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-bincode-1+default-dev,
 librust-blake2-0.10+default-dev,
 librust-cfg-if-1+default-dev,
 librust-cpufeatures-0.2+default-dev,
 librust-digest-0.10-dev,
 librust-ed25519-2+alloc-dev (<< 2.3),
 librust-ed25519-2+pem-dev (<< 2.3),
 librust-ed25519-2+pkcs8-dev (<< 2.3),
 librust-ed25519-2+serde-dev (<< 2.3),
 librust-ed25519-2+std-dev (<< 2.3),
 librust-ff-0.13+bits-dev,
 librust-fiat-crypto-0.2-dev,
 librust-group-0.13-dev,
 librust-hex-0.4+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-platforms-3+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-rustc-version-0.4+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-1+std-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+asm-dev,
 librust-sha2-0.10+std-dev,
 librust-sha3-0.10+default-dev,
 librust-signature-2+digest-dev (<< 2.3),
 librust-subtle-2-dev (>= 2.6),
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 librust-toml-0.8+default-dev,
 librust-zeroize-1+alloc-dev,
 librust-zeroize-1+zeroize-derive-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-curve25519-dalek.git
Vcs-Browser: https://salsa.debian.org/debian/rust-curve25519-dalek
Homepage: https://github.com/dalek-cryptography/curve25519-dalek
Rules-Requires-Root: no

Package: librust-curve25519-dalek-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-cfg-if-1+default-dev,
 librust-cpufeatures-0.2+default-dev,
 librust-curve25519-dalek-derive-dev (= ${rust:Version:librust-curve25519-dalek-derive-dev}),
 librust-digest-0.10-dev,
 librust-ff-0.13+bits-dev,
 librust-fiat-crypto-0.2-dev,
 librust-group-0.13-dev,
 librust-platforms-3+default-dev,
 librust-rand-core-0.6-dev,
 librust-rustc-version-0.4+default-dev,
 librust-serde-1+derive-dev,
 librust-subtle-2-dev (>= 2.6),
 librust-zeroize-1+alloc-dev,
 ${misc:Depends},
Provides:
 librust-curve25519-dalek-4+alloc-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+default-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+digest-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+fiat-backend-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+group-bits-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+group-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+legacy-compatibility-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+precomputed-tables-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+rand-core-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+serde-dev (= ${binary:Version}),
 librust-curve25519-dalek-4+zeroize-dev (= ${binary:Version}),
 librust-curve25519-dalek-4-dev (= ${binary:Version}),
 librust-curve25519-dalek-4.1-dev (= ${binary:Version}),
 librust-curve25519-dalek-4.1.3-dev (= ${binary:Version}),
Description: group operations on Ristretto and Curve25519 - Rust source code
 curve25519-dalek is a pure-Rust implementation
 of group operations on Ristretto and Curve25519.
 -
 curve25519-dalek` is a library providing group operations
 on the Edwards and Montgomery forms of Curve25519,
 and on the prime-order Ristretto group.
 .
 curve25519-dalek is not intended to provide implementations
 of any particular crypto protocol.
 Rather, implementations of those protocols
 (such as x25519-dalek and ed25519-dalek)
 should use curve25519-dalek as a library.
 .
 curve25519-dalek is intended to provide
 a clean and safe mid-level API
 for use implementing a wide range of ECC-based crypto protocols,
 such as key agreement, signatures, anonymous credentials, rangeproofs,
 and zero-knowledge proof systems.
 .
 In particular, curve25519-dalek implements Ristretto,
 which constructs a prime-order group
 from a non-prime-order Edwards curve.
 This provides the speed and safety benefits
 of Edwards curve arithmetic,
 without the pitfalls of cofactor-related abstraction mismatches.
 .
 This package contains the source for the Rust curve25519-dalek crate,
 for use with cargo.

Package: librust-curve25519-dalek-derive-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 ${misc:Depends},
Provides:
 librust-curve25519-dalek-derive-0.1+default-dev (= ${binary:Version}),
 librust-curve25519-dalek-derive-0.1-dev (= ${binary:Version}),
 librust-curve25519-dalek-derive-0.1.1-dev (= ${binary:Version}),
Description: curve25519-dalek Derives - Rust source code
 curve25519-dalek is a pure-Rust implementation
 of group operations on Ristretto and Curve25519.
 .
 This package contains the source
 for the Rust curve25519-dalek-derive crate,
 for use with cargo.

Package: librust-ed25519-dalek-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-curve25519-dalek-dev (= ${rust:Version:librust-curve25519-dalek-dev}),
 librust-ed25519-2+alloc-dev (<< 2.3),
 librust-ed25519-2+pem-dev (<< 2.3),
 librust-ed25519-2+pkcs8-dev (<< 2.3),
 librust-ed25519-2+serde-dev (<< 2.3),
 librust-ed25519-2+std-dev (<< 2.3),
 librust-rand-core-0.6-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+std-dev,
 librust-sha2-0.10+asm-dev,
 librust-sha2-0.10+std-dev,
 librust-signature-2+digest-dev (<< 2.3),
 librust-x25519-dalek-dev (= ${rust:Version:librust-x25519-dalek-dev}),
 librust-zeroize-1+alloc-dev,
 ${misc:Depends},
Provides:
 librust-ed25519-dalek-2+alloc-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+asm-dev (= ${binary:Version}),
# TODO: provide in separate binary package if needed (see bug#1081176)
# librust-ed25519-dalek-2+batch-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+default-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+digest-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+fast-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+hazmat-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+legacy-compatibility-dev (= ${binary:Version}),
# TODO: provide in separate binary package if needed (see bug#1081176)
# librust-ed25519-dalek-2+merlin-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+pem-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+pkcs8-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+rand-core-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+serde-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+std-dev (= ${binary:Version}),
 librust-ed25519-dalek-2+zeroize-dev (= ${binary:Version}),
 librust-ed25519-dalek-2-dev (= ${binary:Version}),
 librust-ed25519-dalek-2.1-dev (= ${binary:Version}),
 librust-ed25519-dalek-2.1.1-dev (= ${binary:Version}),
Description: ed25519 EdDSA key generations, signing, and verification - Rust source code
 ed25519-dalek is a fast and efficient Rust implementation
 of ed25519 key generation, signing, and verification.
 .
 This package contains the source for the Rust ed25519-dalek crate,
 for use with cargo.

Package: librust-x25519-dalek-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-curve25519-dalek-dev (= ${rust:Version:librust-curve25519-dalek-dev}),
 librust-rand-core-0.6+getrandom-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-zeroize-1+alloc-dev,
 librust-zeroize-1+zeroize-derive-dev,
 ${misc:Depends},
Provides:
 librust-x25519-dalek-2+alloc-dev (= ${binary:Version}),
 librust-x25519-dalek-2+bench-dev (= ${binary:Version}),
 librust-x25519-dalek-2+default-dev (= ${binary:Version}),
 librust-x25519-dalek-2+getrandom-dev (= ${binary:Version}),
 librust-x25519-dalek-2+precomputed-tables-dev (= ${binary:Version}),
 librust-x25519-dalek-2+reusable-secrets-dev (= ${binary:Version}),
 librust-x25519-dalek-2+serde-dev (= ${binary:Version}),
 librust-x25519-dalek-2+static-secrets-dev (= ${binary:Version}),
 librust-x25519-dalek-2+zeroize-dev (= ${binary:Version}),
 librust-x25519-dalek-2-dev (= ${binary:Version}),
 librust-x25519-dalek-2.0-dev (= ${binary:Version}),
 librust-x25519-dalek-2.0.1-dev (= ${binary:Version}),
Description: X25519 elliptic curve Diffie-Hellman key exchange - Rust source code
 x25519-dalek is a pure-Rust implementation
 of x25519 elliptic curve Diffie-Hellman key exchange,
 with curve operations provided by curve25519-dalek.
 -
 This crate provides two levels of API:
 a bare byte-oriented x25519 function
 which matches the function specified in RFC7748,
 as well as a higher-level Rust API
 for static and ephemeral Diffie-Hellman.
 .
 This package contains the source for the Rust x25519-dalek crate,
 for use with cargo.
