=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# resolve crate version
# * get topmost version except prerelease suffix
#   from Cargo.toml file in dir passed as argument
# * source package version if matching upstream part modulo prerelease
# * otherwise append source package version
crate_version = \
 $(shell perl -n \
 -E '/version\W+\K\d+\.\d+\.\d+/ ' \
 -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
 $1/Cargo.toml)

%:
	dh $@

# declare version for virtually provided embedded crates
packages = $(patsubst %,librust-%-dev,\
 curve25519-dalek curve25519-dalek-derive ed25519-dalek x25519-dalek)
override_dh_gencontrol:
	$(eval librust-curve25519-dalek-dev_version = $(call crate_version,curve25519-dalek))\
	$(eval librust-curve25519-dalek-derive-dev_version = $(call crate_version,curve25519-dalek-derive))\
	$(eval librust-ed25519-dalek-dev_version = $(call crate_version,ed25519-dalek))\
	$(eval librust-x25519-dalek-dev_version = $(call crate_version,x25519-dalek))\
	set -e; $(foreach p,$(packages),\
	 dh_gencontrol -p$p -- \
	 -v'$($p_version)' \
	 $(foreach q,$(filter-out $p,$(packages)),\
	 -V'rust:Version:$q=$($q_version)');)
	dh_gencontrol --remaining-packages
