=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets --all-features
Features: test-name=rust-curve25519-dalek-4:@
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-sha2-0.10-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets --no-default-features
Features: test-name=rust-curve25519-dalek-4:
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-sha2-0.10-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets
Features: test-name=rust-curve25519-dalek-4:default
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4+default-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-sha2-0.10-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets --no-default-features --features alloc
Features: test-name=rust-curve25519-dalek-4:alloc
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4+alloc-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-sha2-0.10-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets --no-default-features --features digest
Features: test-name=rust-curve25519-dalek-4:digest
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4+digest-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-sha2-0.10-dev,
Restrictions: allow-stderr
Architecture: amd64

# skip curve25519-dalek feature fiat_backend: apparently unusable alone

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets --no-default-features --features group-bits
Features: test-name=rust-curve25519-dalek-4:group-bits
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4+group-bits-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
 librust-sha2-0.10-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
 --all-targets --no-default-features --features group
Features: test-name=rust-curve25519-dalek-4:group
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-curve25519-dalek-4+group-dev,
 librust-hex-0.4+default-dev,
 librust-rand-0.8+default-dev,
 librust-rand-core-0.6+getrandom-dev,
