=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+dfsg,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/dalek-cryptography/curve25519-dalek/git/matching-refs/tags/curve25519 \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/curve25519-@ANY_VERSION@
