## rust-curve25519-dalek 4.2.0%2Bdfsg

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # check single-feature tests only on amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets --all-features
 Features: test-name=rust-curve25519-dalek-4:@
 Depends:
@@ -13,7 +13,7 @@
  librust-sha2-0.10-dev,
 Restrictions: allow-stderr
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets --no-default-features
 Features: test-name=rust-curve25519-dalek-4:
 Depends:
@@ -26,7 +26,7 @@
  librust-sha2-0.10-dev,
 Restrictions: allow-stderr
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets
 Features: test-name=rust-curve25519-dalek-4:default
 Depends:
@@ -39,7 +39,7 @@
  librust-sha2-0.10-dev,
 Restrictions: allow-stderr
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets --no-default-features --features alloc
 Features: test-name=rust-curve25519-dalek-4:alloc
 Depends:
@@ -53,7 +53,7 @@
 Restrictions: allow-stderr
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets --no-default-features --features digest
 Features: test-name=rust-curve25519-dalek-4:digest
 Depends:
@@ -69,7 +69,7 @@
 
 # skip curve25519-dalek feature fiat_backend: apparently unusable alone
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets --no-default-features --features group-bits
 Features: test-name=rust-curve25519-dalek-4:group-bits
 Depends:
@@ -83,7 +83,7 @@
 Restrictions: allow-stderr
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.1.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test curve25519-dalek 4.2.0
  --all-targets --no-default-features --features group
 Features: test-name=rust-curve25519-dalek-4:group
 Depends:
