## rust-curve25519-dalek 4.2.0+dfsg

=== debian/changelog ===
rust-curve25519-dalek (4.2.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: use file format 5
  * fix bogus negation TODO note
  * update and unfuzz patches
  * tighten (build-)dependencies for crates digest subtle;
    relax (build-)dependencies for crate fiat-crypto
  * bump project versions in virtual packages and autopkgtests
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Aug 2025 08:41:46 +0200
