=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  librust-blake2-0.10+default-dev,
  librust-cfg-if-1+default-dev,
  librust-cpufeatures-0.2+default-dev,
- librust-digest-0.10-dev,
+ librust-digest-0.10+core-api-dev,
  librust-ed25519-2+alloc-dev (<< 2.3),
  librust-ed25519-2+pem-dev (<< 2.3),
  librust-ed25519-2+pkcs8-dev (<< 2.3),
  librust-ed25519-2+serde-dev (<< 2.3),
  librust-ed25519-2+std-dev (<< 2.3),
  librust-ff-0.13+bits-dev,
- librust-fiat-crypto-0.2-dev,
+ librust-fiat-crypto-dev (<< 0.4),
  librust-group-0.13-dev,
  librust-hex-0.4+default-dev,
  librust-hex-literal-0.4+default-dev,
@@ -34,14 +34,14 @@
  librust-sha2-0.10+std-dev,
  librust-sha3-0.10+default-dev,
  librust-signature-2+digest-dev (<< 2.3),
- librust-subtle-2-dev (>= 2.6),
+ librust-subtle-2+const-generics-dev,
  librust-syn-2+default-dev,
  librust-syn-2+full-dev,
  librust-toml-0.8+default-dev,
  librust-zeroize-1+alloc-dev,
  librust-zeroize-1+zeroize-derive-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/rust-curve25519-dalek.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-curve25519-dalek
 Homepage: https://github.com/dalek-cryptography/curve25519-dalek
@@ -54,15 +54,15 @@
  librust-cfg-if-1+default-dev,
  librust-cpufeatures-0.2+default-dev,
  librust-curve25519-dalek-derive-dev (= ${rust:Version:librust-curve25519-dalek-derive-dev}),
- librust-digest-0.10-dev,
+ librust-digest-0.10+core-api-dev,
  librust-ff-0.13+bits-dev,
- librust-fiat-crypto-0.2-dev,
+ librust-fiat-crypto-dev (<< 0.4),
  librust-group-0.13-dev,
  librust-platforms-3+default-dev,
  librust-rand-core-0.6-dev,
  librust-rustc-version-0.4+default-dev,
  librust-serde-1+derive-dev,
- librust-subtle-2-dev (>= 2.6),
+ librust-subtle-2+const-generics-dev,
  librust-zeroize-1+alloc-dev,
  ${misc:Depends},
 Provides:
@@ -78,8 +78,8 @@
  librust-curve25519-dalek-4+serde-dev (= ${binary:Version}),
  librust-curve25519-dalek-4+zeroize-dev (= ${binary:Version}),
  librust-curve25519-dalek-4-dev (= ${binary:Version}),
- librust-curve25519-dalek-4.1-dev (= ${binary:Version}),
- librust-curve25519-dalek-4.1.3-dev (= ${binary:Version}),
+ librust-curve25519-dalek-4.2-dev (= ${binary:Version}),
+ librust-curve25519-dalek-4.2.0-dev (= ${binary:Version}),
 Description: group operations on Ristretto and Curve25519 - Rust source code
  curve25519-dalek is a pure-Rust implementation
  of group operations on Ristretto and Curve25519.
@@ -169,8 +169,8 @@
  librust-ed25519-dalek-2+std-dev (= ${binary:Version}),
  librust-ed25519-dalek-2+zeroize-dev (= ${binary:Version}),
  librust-ed25519-dalek-2-dev (= ${binary:Version}),
- librust-ed25519-dalek-2.1-dev (= ${binary:Version}),
- librust-ed25519-dalek-2.1.1-dev (= ${binary:Version}),
+ librust-ed25519-dalek-2.2-dev (= ${binary:Version}),
+ librust-ed25519-dalek-2.2.0-dev (= ${binary:Version}),
 Description: ed25519 EdDSA key generations, signing, and verification - Rust source code
  ed25519-dalek is a fast and efficient Rust implementation
  of ed25519 key generation, signing, and verification.
