=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: dalek-cryptography
Project: curve25519-dalek
Dversion-Mangle: auto
Repacksuffix: +dfsg
# limit to prefixed tags
Source: https://api.github.com/repos/dalek-cryptography/curve25519-dalek/git/matching-refs/tags/curve25519
# avoid bare-version source file, easily clashing across projects
Filename-Mangle: s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/
# mangle dot- or dash-versioned prereleases
Uversion-Mangle: s/\d\K-([a-z]+)[.-]?(\d)?/~$1$2/
